Bug 991044 - Incorrect permissions on /usr/lib/python2.6/site-packages/spacewalk/
Incorrect permissions on /usr/lib/python2.6/site-packages/spacewalk/
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-08-01 09:15 EDT by Stu Green
Modified: 2014-03-04 08:09 EST (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-backend-2.1.35-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stu Green 2013-08-01 09:15:41 EDT
Description of problem:

The files in shared library directory /usr/lib/python2.6/site-packages/spacewalk/ have  rw-rw-r-- where it is best practice to have rw-r--r--


Version-Release number of selected component (if applicable):


How reproducible:

find /usr/lib/python2.6/site-packages/spacewalk/ -exec ls -lt {} \;


Actual results:

-rw-rw-r--. 2 root root  1991 May 21 21:52 checksum.pyc
-rw-rw-r--. 2 root root  1991 May 21 21:52 checksum.pyo
-rw-rw-r--. 2 root root  1950 May 21 21:52 cli.pyc
-rw-rw-r--. 2 root root  1950 May 21 21:52 cli.pyo
-rw-rw-r--. 2 root root 14390 May 21 21:52 fileutils.pyc
-rw-rw-r--. 2 root root 14390 May 21 21:52 fileutils.pyo
-rw-rw-r--. 2 root root   287 May 21 21:52 __init__.pyc
-rw-rw-r--. 2 root root   287 May 21 21:52 __init__.pyo
-rw-rw-r--. 2 root root  4824 May 21 21:52 rhn_deb.pyc
-rw-rw-r--. 2 root root  4824 May 21 21:52 rhn_deb.pyo
-rw-rw-r--. 1 root root  9773 May 21 21:52 rhn_mpm.pyc
-rw-r--r--. 1 root root  9648 May 21 21:52 rhn_mpm.pyo
-rw-rw-r--. 2 root root  4326 May 21 21:52 rhn_pkg.pyc
-rw-rw-r--. 2 root root  4326 May 21 21:52 rhn_pkg.pyo
-rw-rw-r--. 1 root root 13718 May 21 21:52 rhn_rpm.pyc
-rw-r--r--. 1 root root 13644 May 21 21:52 rhn_rpm.pyo
-rw-rw-r--. 1 root root  2111 May 21 21:52 checksum.py
-rw-rw-r--. 1 root root  2286 May 21 21:52 cli.py
-rw-rw-r--. 1 root root 14652 May 21 21:52 fileutils.py
-rw-rw-r--. 1 root root   887 May 21 21:52 __init__.py
-rw-rw-r--. 1 root root  4307 May 21 21:52 rhn_deb.py
-rw-rw-r--. 1 root root  8694 May 21 21:52 rhn_mpm.py
-rw-rw-r--. 1 root root  3939 May 21 21:52 rhn_pkg.py
-rw-rw-r--. 1 root root 13620 May 21 21:52 rhn_rpm.py
-rw-r--r--. 1 root root 13644 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.pyo
-rw-rw-r--. 1 root root 13620 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.py
-rw-rw-r--. 2 root root 4326 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.pyc
-rw-r--r--. 1 root root 9648 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.pyo
-rw-rw-r--. 1 root root 13718 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.pyc
-rw-rw-r--. 2 root root 287 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyo
-rw-rw-r--. 1 root root 887 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.py
-rw-rw-r--. 1 root root 3939 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.py
-rw-rw-r--. 2 root root 4824 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.pyo
-rw-rw-r--. 1 root root 4307 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.py
-rw-rw-r--. 1 root root 9773 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.pyc
-rw-rw-r--. 2 root root 1991 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.pyc
-rw-rw-r--. 1 root root 14652 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.py
-rw-rw-r--. 2 root root 14390 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.pyo
-rw-rw-r--. 1 root root 2286 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.py
-rw-rw-r--. 2 root root 287 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyc
-rw-rw-r--. 2 root root 14390 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.pyc
-rw-rw-r--. 2 root root 4326 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.pyo
-rw-rw-r--. 2 root root 4824 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.pyc
-rw-rw-r--. 1 root root 2111 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.py
-rw-rw-r--. 1 root root 8694 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.py
-rw-rw-r--. 2 root root 1950 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.pyc
-rw-rw-r--. 2 root root 1991 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.pyo
-rw-rw-r--. 2 root root 1950 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.pyo
-rw-rw-r--. 2 root root 141 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/__init__.pyc


Expected results:

Certaintly a lot more like..

-rw-r--r--. 2 root root  1991 May 21 21:52 checksum.pyc
-rw-r--r--. 2 root root  1991 May 21 21:52 checksum.pyo
-rw-r--r--. 2 root root  1950 May 21 21:52 cli.pyc
-rw-r--r--. 2 root root  1950 May 21 21:52 cli.pyo
-rw-r--r--. 2 root root 14390 May 21 21:52 fileutils.pyc
-rw-r--r--. 2 root root 14390 May 21 21:52 fileutils.pyo
-rw-r--r--. 2 root root   287 May 21 21:52 __init__.pyc
-rw-r--r--. 2 root root   287 May 21 21:52 __init__.pyo
-rw-r--r--. 2 root root  4824 May 21 21:52 rhn_deb.pyc
-rw-r--r--. 2 root root  4824 May 21 21:52 rhn_deb.pyo
-rw-r--r--. 1 root root  9773 May 21 21:52 rhn_mpm.pyc
-rw-r--r--. 1 root root  9648 May 21 21:52 rhn_mpm.pyo
-rw-r--r--. 2 root root  4326 May 21 21:52 rhn_pkg.pyc
-rw-r--r--. 2 root root  4326 May 21 21:52 rhn_pkg.pyo
-rw-r--r--. 1 root root 13718 May 21 21:52 rhn_rpm.pyc
-rw-r--r--. 1 root root 13644 May 21 21:52 rhn_rpm.pyo
-rw-r--r--. 1 root root  2111 May 21 21:52 checksum.py
-rw-r--r--. 1 root root  2286 May 21 21:52 cli.py
-rw-r--r--. 1 root root 14652 May 21 21:52 fileutils.py
-rw-r--r--. 1 root root   887 May 21 21:52 __init__.py
-rw-r--r--. 1 root root  4307 May 21 21:52 rhn_deb.py
-rw-r--r--. 1 root root  8694 May 21 21:52 rhn_mpm.py
-rw-r--r--. 1 root root  3939 May 21 21:52 rhn_pkg.py
-rw-r--r--. 1 root root 13620 May 21 21:52 rhn_rpm.py
-rw-r--r--. 1 root root 13644 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.pyo
-rw-r--r--. 1 root root 13620 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.py
-rw-r--r--. 2 root root 4326 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.pyc
-rw-r--r--. 1 root root 9648 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.pyo
-rw-r--r--. 1 root root 13718 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.pyc
-rw-r--r--. 2 root root 287 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyo
-rw-r--r--. 1 root root 887 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.py
-rw-r--r--. 1 root root 3939 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.py
-rw-r--r--. 2 root root 4824 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.pyo
-rw-r--r--. 1 root root 4307 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.py
-rw-r--r--. 1 root root 9773 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.pyc
-rw-r--r--. 2 root root 1991 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.pyc
-rw-r--r--. 1 root root 14652 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.py
-rw-r--r--. 2 root root 14390 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.pyo
-rw-r--r--. 1 root root 2286 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.py
-rw-r--r--. 2 root root 287 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyc
-rw-r--r--. 2 root root 14390 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/fileutils.pyc
-rw-r--r--. 2 root root 4326 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_pkg.pyo
-rw-r--r--. 2 root root 4824 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_deb.pyc
-rw-r--r--. 1 root root 2111 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.py
-rw-r--r--. 1 root root 8694 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/rhn_mpm.py
-rw-r--r--. 2 root root 1950 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.pyc
-rw-r--r--. 2 root root 1991 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/checksum.pyo
-rw-r--r--. 2 root root 1950 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/common/cli.pyo
-rw-r--r--. 2 root root 141 May 21 21:52 /usr/lib/python2.6/site-packages/spacewalk/__init__.pyc



Additional info:

Other shared library's in  /usr/lib/python2.6/site-packages/ follow the standard.
Comment 1 Milan Zazrivec 2013-11-15 11:14:47 EST
Fixed in spacewalk.git master: 6c4f4b0727710393f6aaf1636b26d6218ca07bc3

Thank you for your report.
Comment 2 Matej Kollar 2014-01-17 07:16:25 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 3 Matej Kollar 2014-03-04 08:08:34 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 4 Matej Kollar 2014-03-04 08:09:09 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.